az login

az account set --subscription  "Azure para estudiantes"

az group create --name tfg_jcatalan_rg --location westeurope

az acr create --resource-group tfg_jcatalan_rg --name jorcatacr --sku Basic

#https://learn.microsoft.com/en-us/azure/postgresql/flexible-server/quickstart-create-server-cli

export IP=`curl http://ifconfig.me`
export DBA_PASSWORD=

az postgres flexible-server create --name jorcatdbserver --resource-group tfg_jcatalan_rg --public-access $IP --location westeurope \
  --admin-user jorcatdba --admin-password $DBA_PASSWORD --database-name jorcatdb \
  --sku-name Standard_B1ms --tier Burstable --high-availability Disabled --storage-size 32


az postgres flexible-server show --name jorcatdbserver --resource-group tfg_jcatalan_rg

"%ProgramFiles%\PostgreSQL\12\bin\psql.exe" --host=jorcatdbserver.postgres.database.azure.com --set=sslmode=require --file=sql\tables_jorcatdb.sql jorcatdb jorcatdba


#STOP
#az postgres flexible-server stop --resource-group tfg_jcatalan_rg --name jorcatdbserver


#START
#az postgres flexible-server start --resource-group tfg_jcatalan_rg --name jorcatdbserver

#Clean up DB
#az postgres flexible-server delete --resource-group tfg_jcatalan_rg --name jorcatdbserver